org.gradle.tooling

## Interface ResultHandler<T>

- Type Parameters:
    `T` - The result type.

      public interface ResultHandler<T>

  A handler for an asynchronous operation which returns an object of type T.
  Since:
    1.0-milestone-3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onComplete(T result)` Handles successful completion of the operation.
    `void` | `onFailure(GradleConnectionException failure)` Handles failures.

- - ### Method Detail

    - #### onComplete

          void onComplete(T result)

      Handles successful completion of the operation.
      Parameters:
        `result` - the result
      Since:
        1.0-milestone-3

    - #### onFailure

          void onFailure(GradleConnectionException failure)

      Handles failures. A failure happens when the target Gradle version does not support the features required to build this model. For example, when you have configured the long running operation with a settings like: `LongRunningOperation.setStandardInput(java.io.InputStream)`, `LongRunningOperation.setJavaHome(java.io.File)`, `LongRunningOperation.setJvmArguments(String...)` but those settings are not supported on the target Gradle.
      Parameters:
        `failure` - the failure
      Since:
        1.0-milestone-3